-- Cette ligne permet d'afficher des traces dans la console pendant l'éxécution
io.stdout:setvbuf('no')

-- Empèche Love de filtrer les contours des images quand elles sont redimentionnées
-- Indispensable pour du pixel art
love.graphics.setDefaultFilter("nearest")

-- Cette ligne permet de déboguer pas à pas dans ZeroBraneStudio
if arg[#arg] == "-debug" then require("mobdebug").start() end
-- Break Out  écrit  par jean-Bernard 
--Elements du jeu 
-- Les images 
local imageRaquette
local imageBalle
local imageBrique

-- La raquette
local raquette = {}
raquette.x = 350
raquette.y = 570





function love.load()
  
  largeur = love.graphics.getWidth()
  hauteur = love.graphics.getHeight()
  
  -- Chargement des images du jeu 
  -- La raquette 
  imageRaquette = love.graphics.newImage("images/raquette.png")
  -- La balle 
  imageBalle = love.graphics.newImage("images/balle.png")
  -- Une  brique 
  imageBrique = love.graphics.newImage("images/brique.png")
  

end

function love.update(dt)
  
  -- On deplace la raquette avec la souris
  raquette.x = love.mouse.getX() 
  end

function love.draw()
    
    
    --Affichage de la raquette
    love.graphics.draw(imageRaquette,raquette.x,raquette.y)
    
    
    
end

function love.keypressed(key)
  
  print(key)
  
end